/* Packed data */

void unpack(char const * const fn, char const * const data, int len) {
	FILE *fp;
	fp = fopen(fn, "wb");
	if (fp == NULL) {
#ifndef UNPACK_SILENT
		printf("\x1b[91mUnpack to '%s' failed (open): %s\x1b[0m\n",
			fn, strerror(errno)
		);
		cancelCmd();
#else
		exit(0);
#endif
	}
	if (fwrite(data, 1, len, fp) != len) {
#ifndef UNPACK_SILENT
		printf("\x1b[91mUnpack to '%s' failed (write): %s\x1b[0m\n",
			fn, strerror(errno)
		);
		cancelCmd();
#else
		exit(0);
#endif
	}
	fclose(fp);

#ifndef UNPACK_SILENT
	printf("\x1b[96m--[ \x1b[90mUnpacked: \x1b[91m%s \x1b[96m]--\x1b[0m\n\n", fn);
#endif
}
